xclade
Admin APIPrice lists

Update a Price List

Update a price list's details.

POST
/admin/price-lists/{id}
AuthorizationBearer <token>

In: header

Path Parameters

id*string

The price list's ID.

Query Parameters

fields?string

Comma-separated fields that should be included in the returned data. if a field is prefixed with + it will be added to the default fields, using - will remove it from the default fields. without prefix it will replace the entire default fields.

Request Body

application/json

title?string

The price list's title.

description?string

The price list's description.

starts_at?string

The date the price list starts.

ends_at?string

The date the price list ends.

status?string

The price list's status.

Value in"active" | "draft"
type?string

The price list's type.

Value in"sale" | "override"
rules?object

The price list's rules.

Response Body

application/json

application/json

text/plain

application/json

application/json

application/json

application/json

curl -X POST "https://{tenant}.api.myxclade.com/admin/price-lists/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "price_list": {
    "id": "string",
    "title": "string",
    "description": "string",
    "rules": {},
    "starts_at": "string",
    "ends_at": "string",
    "status": "draft",
    "type": "sale",
    "prices": [
      {
        "variant_id": "string",
        "rules": {},
        "id": "string",
        "title": "string",
        "currency_code": "usd",
        "amount": 0,
        "raw_amount": {},
        "min_quantity": 0,
        "max_quantity": 0,
        "price_set_id": "string",
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "deleted_at": "2019-08-24T14:15:22Z"
      }
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "deleted_at": "2019-08-24T14:15:22Z"
  }
}

{
  "message": "Discount must be set to dynamic",
  "type": "not_allowed"
}

"Unauthorized"
{
  "message": "Entity with id 1 was not found",
  "type": "not_found"
}
{
  "code": "unknown_error",
  "message": "The request conflicted with another request. You may retry the request with the provided Idempotency-Key.",
  "type": "QueryRunnerAlreadyReleasedError"
}
{
  "code": "invalid_request_error",
  "message": "Discount with code TEST already exists.",
  "type": "duplicate_error"
}

{
  "code": "api_error",
  "message": "An error occured while hashing password",
  "type": "database_error"
}